commit c7bd49452522133e179e2b523ff6539d38ca3986
Author: manish <manish10@gmail.com>
Date:   Thu Jun 27 17:54:04 2013 +0530

    fix for ticket #649 - status bar not spoken in office applications

diff --git a/source/appModules/excel.py b/source/appModules/excel.py
new file mode 100644
index 0000000..7e52a25
--- /dev/null
+++ b/source/appModules/excel.py
@@ -0,0 +1,14 @@
+#appModules/excel.py
+#A part of NonVisual Desktop Access (NVDA)
+#Copyright (C) 2006-2010 NVDA Contributors <http://www.nvda-project.org/>
+#This file is covered by the GNU General Public License.
+#See the file COPYING for more details.
+import appModuleHandler
+import eventHandler
+import controlTypes
+
+class AppModule(appModuleHandler.AppModule):
+	def event_NVDAObject_init(self,obj):
+		if obj.role==controlTypes.ROLE_PROPERTYPAGE and obj.name.startswith("Status Bar"):
+			obj.role=controlTypes.ROLE_STATUSBAR
+		
\ No newline at end of file
diff --git a/source/appModules/outlook.py b/source/appModules/outlook.py
index 5506930..31cf7e1 100644
--- a/source/appModules/outlook.py
+++ b/source/appModules/outlook.py
@@ -80,6 +80,8 @@ class AppModule(appModuleHandler.AppModule):
 			obj.shouldAllowIAccessibleFocusEvent=True
 		if ((windowClassName=="SUPERGRID" and controlID==4704) or (windowClassName=="rctrl_renwnd32" and controlID==109)) and role==controlTypes.ROLE_UNKNOWN:
 			obj.role=controlTypes.ROLE_LISTITEM
+		if role==controlTypes.ROLE_PROPERTYPAGE and obj.name.startswith("Status Bar"):
+			obj.role=controlTypes.ROLE_STATUSBAR
 
 	def chooseNVDAObjectOverlayClasses(self, obj, clsList):
 		role=obj.role
diff --git a/source/appModules/winword.py b/source/appModules/winword.py
new file mode 100644
index 0000000..cb5f82e
--- /dev/null
+++ b/source/appModules/winword.py
@@ -0,0 +1,14 @@
+#appModules/winword.py
+#A part of NonVisual Desktop Access (NVDA)
+#Copyright (C) 2006-2010 NVDA Contributors <http://www.nvda-project.org/>
+#This file is covered by the GNU General Public License.
+#See the file COPYING for more details.
+import appModuleHandler
+import eventHandler
+import controlTypes
+
+class AppModule(appModuleHandler.AppModule):
+	def event_NVDAObject_init(self,obj):
+		if obj.role==controlTypes.ROLE_PROPERTYPAGE and obj.name.startswith("Status Bar"):
+			obj.role=controlTypes.ROLE_STATUSBAR
+		
\ No newline at end of file
